Package: org.codehaus.groovy.transform.stc

## [Java] Class StaticTypeCheckingSupport.ByteArrayStaticTypesHelper

- org.codehaus.groovy.transform.stc.StaticTypeCheckingSupport.ByteArrayStaticTypesHelper

-     public static class StaticTypeCheckingSupport.ByteArrayStaticTypesHelper
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static byte` | `getAt(byte[] array, int index)`
    `` | `public static Byte` | `getAt$$bridge(byte[] array, int index)`
    `` | `public static void` | `putAt(byte[] array, int index, byte value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static byte getAt(byte[] array, int index)

    - #### @Deprecated(since = "5.0.0")
      public static Byte getAt$$bridge(byte[] array, int index)

    - #### public static void putAt(byte[] array, int index, byte value)